using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;


namespace APT.MS.Domain.Entities.HM
{
    [Description("关联风险表")]
    public class T_HM_ORDINARY_TASK_DETAIL_RISK : MesEntityBase
    {
        [Description("一般任务分析细表ID")]
        [DataFieldForeignKey("Nav_Details", "Nav_DetailRisk")]
        public Guid? ORDINARY_TASK_ANALYSIS_DETAIL_ID { get; set; }

        [Description("导航属性：关键任务分析表")]
        public virtual T_HM_ORDINARY_TASK_DETAIL Nav_Details { get; set; }
        /// <summary>
        /// 风险库ID
        /// </summary>
        [Description("风险库")]
        [DataFieldForeignKey("Nav_EvaluateRisk")]
        public Guid? EVALUATE_RISK_ID { get; set; }

        /// <summary>
        /// 导航属性：风险库
        /// </summary>
        [Description("导航属性：风险库")]
        public virtual T_HM_EVALUATE_RISK Nav_EvaluateRisk { get; set; }
    }
}
